package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.quartz.AddQuartzConfigReq;
import org.wcs.model.dto.serve.quartz.QuartzReq;
import org.wcs.model.dto.serve.quartz.UpdateQuartzConfigReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.quartz.QueryResp;

import java.util.List;

public interface IQuartzService {

    AppServeDataResponse<List<QueryResp>> query(QuartzReq quartzReq); // 查询定时任务
    AppServeResponse addQuartzConfig(AddQuartzConfigReq addQuartzConfigReq); // 添加定时任务
    AppServeResponse deleteQuartzConfig(String className); // 删除定时任务
    AppServeResponse stopQuartzJob(String className); // 停止任务
    AppServeResponse startQuartzJob(String className); // 开启任务
    AppServeResponse updateQuartzConfig(UpdateQuartzConfigReq updateQuartzConfigReq); // 更新任务信息
}
